#Copyright (C) 2007 L. Donnie Smith

PACKAGE_NAME = CWiid
PACKAGE_TARNAME = cwiid
PACKAGE_VERSION = 0.6.00
PACKAGE_STRING = CWiid 0.6.00
PACKAGE_BUGREPORT = cwiid@abstrakraft.org

prefix = /tmp/buildd/ros-cturtle-joystick-drivers-1.2.2/debian/ros-cturtle-joystick-drivers/opt/ros/cturtle/stacks/joystick_drivers/cwiid/cwiid
exec_prefix = ${prefix}

sysconfdir = ${prefix}/etc
libdir = ${exec_prefix}/lib

datarootdir = ${prefix}/share
mandir = ${datarootdir}/man
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}

CC = gcc
AWK = mawk
LEX = flex
YACC = bison -y
PYTHON = python

COMMON = /tmp/buildd/ros-cturtle-joystick-drivers-1.2.2/debian/ros-cturtle-joystick-drivers/opt/ros/cturtle/stacks/joystick_drivers/cwiid/build/cwiid-svn/common

ifdef DESTDIR
	ROOTDIR = $(DESTDIR:%/=%)
endif

CWIID_CONFIG_DIR = $(ROOTDIR)${sysconfdir}/cwiid
CWIID_PLUGINS_DIR = $(ROOTDIR)${libdir}/cwiid/plugins

DEBUGFLAGS = -g
WARNFLAGS = -Wall -W
CFLAGS = $(DEBUGFLAGS) $(WARNFLAGS) -DHAVE_CONFIG_H -I$(COMMON)/include
